%global clip_dir %{_datadir}/openclipart
%global momorel 1

Name:    openclipart
Version: 0.18
Release: %{momorel}m
Summary: Open Clip Art Library

# local configuration
%{?include_specopt}
# Notice: OOo gallery requires openclipart-png
%{?!make_png: %global make_png 1}

License: "Public Domain (Creative Commons)"
Group: Amusements/Graphics
URL: http://www.openclipart.org/
%NoSource 0  http://www.openclipart.org/downloads/%{version}/openclipart-%{version}-svgonly.tar.bz2 84e6ee889c8eb1208904e8e6f7004e63
Buildarch: noarch
BuildRequires: inkscape
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a collection of 100% license-free, royalty-free, and
restriction-free art that you can use for whatever purpose you see fit.

Most of the art in this package is in the Scalable Vector Graphic (SVG)
format, which is an XML format approved by the W3C and used in a wide
range of software applications, including Inkscape, Adobe Illustrator,
Batik, and more.

The goal of the Open Clip Art Library is to provide the public with a
huge collection of reusable art for any purpose

For more information, including how you can contribute to this growing
library, please see http://www.openclipart.org/

Notice: This package contains a directory structure only. The images are in %{name}-png or %{name}-svg package.

%package svg
Summary: Open Clip Art Library (SVG format)
Group: Amusements/Graphics
Requires: %{name} = %{version}-%{release}

%description svg
This is a collection of 100% license-free, royalty-free, and
restriction-free art that you can use for whatever purpose you see fit.

The goal of the Open Clip Art Library is to provide the public with a
huge collection of reusable art for any purpose

For more information, including how you can contribute to this growing
library, please see http://www.openclipart.org/

This package includes cliparts of SVG format.

%if %{make_png}
%package png
Summary: Open Clip Art Library (PNG format)
Group: Amusements/Graphics
Requires: %{name} = %{version}-%{release}

%description png
his is a collection of 100% license-free, royalty-free, and
restriction-free art that you can use for whatever purpose you see fit.

The goal of the Open Clip Art Library is to provide the public with a
huge collection of reusable art for any purpose

For more information, including how you can contribute to this growing
library, please see http://www.openclipart.org/

This package includes cliparts of PNG format.
%endif

%prep
%setup -q -n openclipart-%{version}-svgonly

# clean ugly/broken
(cd clipart
 rm -rf ./unsorted
 rm -f	./computer/icons/lemon-theme/devices/automatic \
	./computer/icons/lemon-theme/actions/automatic \
	./computer/icons/lemon-theme/filesystems/automatic \
	./computer/icons/lemon-theme/apps/automatic \
	./computer/icons/lemon-theme/mimetypes/automatic \
	./signs_and_symbols/flags/america/united_states/.usa_hawaii.svg.swp
)

# no brank
(cd clipart
mv recreation/music/CD\ Player recreation/music/CD_Player 
)

%build
%if %{make_png}
(cd clipart
# build png files (for OOo galleries), taken from OOo's "build-galleries" script
 numtotal=`find ./ -name "*.svg" -type f| wc -l`
 numdone=0
 for pict_svg in `find ./ -name "*.svg" -type f`; do
    pict_dir=${pict_svg#./}
    pict_dir=${pict_dir%/*}
    pict_png=${pict_svg##*/}
    pict_png=${pict_png%.svg}.png
    mkdir -p build/$pict_dir
    echo "[${numdone}/${numtotal}] Converting $pict_svg to $pict_dir/$pict_png..."
    inkscape -f $pict_svg -e $pict_dir/$pict_png
    numdone=$(($numdone+1))
done
)
%endif

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%clip_dir
(cd ./clipart
 tar c ./ | tar x -C %{buildroot}%{clip_dir}
)

rm -f %{buildroot}%{clip_dir}/{PASSFAIL,README,TODO}

# remove empty dirs
rm -rf %{buildroot}%{clip_dir}/build

find %{buildroot}%{clip_dir} -name '*bat' -type f -exec rm '{}' \;
find %{buildroot}%{clip_dir} -type f -exec chmod 644 '{}' \;

# filelist direcotries
rm -rf %{name}.dirs* %{name}.png.files* %{name}.svg.files*
(find %{buildroot}%{clip_dir}  \
	-type d | sort ) > %{name}.dirs

mv %{name}.dirs %{name}.dirs.in
sed "s|.*%{clip_dir}|%{clip_dir}|" < %{name}.dirs.in | while read file; do
	if [ -d %{buildroot}/${file} ]; then
		echo -n '%dir '
	fi
	echo ${file}
done > %{name}.dirs
%if %{make_png}
# filelist png
(find %{buildroot}%{clip_dir}  \
	-type f -name "*.png" | sort ) > %{name}.png.files

mv %{name}.png.files %{name}.png.files.in
sed "s|.*%{clip_dir}|%{clip_dir}|" < %{name}.png.files.in | while read file; do
	if [ -d %{buildroot}/${file} ]; then
		echo -n '%dir '
	fi
	echo ${file}
done > %{name}.png.files
%endif
# filelist svg
(find %{buildroot}%{clip_dir}  \
	-type f -name "*.svg" | sort ) > %{name}.svg.files

mv %{name}.svg.files %{name}.svg.files.in
sed "s|.*%{clip_dir}|%{clip_dir}|" < %{name}.svg.files.in | while read file; do
	if [ -d %{buildroot}/${file} ]; then
		echo -n '%dir '
	fi
	echo ${file}
done > %{name}.svg.files

%clean
rm -rf %{buildroot}

%files -f %{name}.dirs
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL LICENSE NEWS
%{clip_dir}/computer/icons/etiquette-theme/AUTHORS
%{clip_dir}/computer/icons/etiquette-theme/COPYING
%{clip_dir}/computer/icons/etiquette-theme/README
%{clip_dir}/computer/icons/lemon-theme/README
%{clip_dir}/computer/icons/lemon-theme/actions/32
%{clip_dir}/special/examples/00_strawberry_border/README
%{clip_dir}/special/examples/01_gift_certificate/README

%files svg -f %{name}.svg.files
%defattr(-,root,root)

%if %{make_png}
%files png -f %{name}.png.files
%defattr(-,root,root)
%endif

%changelog
* Tue Oct 31 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.18-1m)
- initial packaging for Momonga
- - based on the package at Mandriva (clipart-openclipart-0.18-3mdv2007.0.src.rpm)
- png subpackage are required by OOo to build image galleries.

* Thu Sep 14 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.18-3mdv2007.0
- Rebuild to force package signing... (bug #21436).

* Thu Jan 26 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.18-2mdk
- Removed empty dirs in %{clip_dir}/build.

* Mon Jan 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.18-1mdk
- Release 0.18.

* Mon Sep 12 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.17-2mdk
- Bigger .png files for galleries converted using inkscape.

* Sat Sep 10 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.17-1mdk
- Release 0.17.

* Mon Jul 11 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.15-1mdk
- New release 0.15

* Tue Feb  1 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- New release 0.10

* Mon Jan  3 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.09-1mdk
- New release 0.09

* Fri Oct  1 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.06-1mdk
- initial packaging (spec from AltLinux)

* Thu Jul 01 2004 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt1
- first build for Sisyphus
